
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

    // document.body.innerHTML = printContents.fontsize(12);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewwarningproducts";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewwarningproducts";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>

         <script type="text/javascript">
  
		
		 $(document).on("click", "#managebtndelete", function()
        {
          var itemid = $(this).data('id');
		  $("#itemid1").val(itemid); 
		  
		  
		   
        });
		
		
		
    </script>   
  <style type="text/css">
  
  

    #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; 


}

#sale{  	


    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:16; width:100%; }
    }
    </style>
 
 <div class="row">
  
   	

   	<div class="col-md-12">

  
		<div class="panel panel-default" data-collapsed="0">
        	<div class="panel-heading" id="non-printable">
            	<div class="panel-title" id="redcolor" >
            		<i class="entypo-plus-circled"></i>
				 <span class="pull-right"> View salesreport</span>
                        <a  id="more" target="blank" class="btn btn-primary" href="<?php echo base_url();?>user/viewproducts">back  </a>
				 		 	<div class="pull-right"  >
<form name="print" method="post" action="">
 <input type="submit" id="print"  accesskey="p" class="btn btn-primary"  name="print"onclick="printDiv('sortable_table')" value="print receipt!" />
</form></div>
            	</div>
            </div>
			<div class="panel-body">

			
	<div class="widget-content nopadding table_holder table-responsive" >				
				<?PHP
function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}
 $session_data = $this->session->userdata('logged_in');

   
 	 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	
	    $addproductaction=$this->usermodel->populatuserpermissionsdataarray('reports','add',$userid);

	 $updateaction=$this->usermodel->populatuserpermissionsdataarray('reports','update',$userid);
  $updatebuyingpriceaction=$this->usermodel->populatuserpermissionsdataarray('reports','update',$userid);
  $deleteaction=$this->usermodel->populatuserpermissionsdataarray('reports','delete',$userid);
	 				echo $this->session->flashdata('deletemsg'); 
  $viewbprice=$this->usermodel->populatuserpermissionsdataarray('products','viewbprice',$userid);

				echo $this->session->flashdata('msg'); 
								?>	
					<div class="row">
						<div class="col-md-12">
							
							<div class="panel-body">
	<CENTER><H2>ALL  PRODUCTS PER CATEGORY
	
	<?PHP
	if($category=="all")
	{
		echo "(ALL CATEGORIES)";
		
	}else{
			        		$mycategory = $this->usermodel->populateallarray('productcategory','id',$category);

		echo "(".$mycategory[0]["name"].")";
	}

	
	?>
	
	
	
	
	
	
	
	
	</H2></CENTER>
									
			<table class="tablesorter table table-bordered  table-hover" id="sortable_table">			

             <thead>
         <tr>
     <th id="non-printable">Code</th>
     <th>Product Name</th>
 <th>Category</th>
	     <th>Supplier</th>

 
		  <th id="non-printable" >B.price</th> 
		   <th id="non-printable">S.price</th> 
		<th id="non-printable">H.price</th>

<th>Qty</th>


			  </tr>
             </thead>
<?php
 $updateaction=$this->usermodel->populatuserpermissionsdataarray('products','update',$userid);
  $addstockaction=$this->usermodel->populatuserpermissionsdataarray('products','addstock',$userid);
  $deleteaction=$this->usermodel->populatuserpermissionsdataarray('products','delete',$userid);
  $moreaction=$this->usermodel->populatuserpermissionsdataarray('products','more',$userid);



 if(!is_array($viewwarningproducts)) {
				    echo '<div class="alert alert-danger text-center">There was no products found in the system</div>';

			 }else{
 if(!is_array($viewwarningproducts)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='1'>";
    
       echo '<div class="alert alert-warning text-center">There no records found..</div>';
    echo "</td>";
   echo "</tr>";
    }else {
?>
    
             <?php 
  $TOTAL=0;
  	foreach ($viewwarningproducts as $c): 

		$id=$c->id;
$qty1=$c->qty ;
	$reorder=$c->reorderevel; 
	
		

$TOTAL=$TOTAL+1;
             ?>



             <tr>
                
            <?php 



?>

              
  <td id="non-printable"><?php echo $c->code ; ?></td>
    <td><?php echo $c->name."-".$c->description ; ?></td>

  

    <td><?php 
	$category=$c->category;
	
	$mycategory = $this->usermodel->populatecategorybyowner($category);
	


if(is_array($mycategory)) {

   foreach($mycategory as $mycategoryrow){
		echo $mycategoryrow->name;


}} else {
    echo 'No Category .';
}
	$qty1=$c->qty ;
	$reorder=$c->reorderevel; 
?>
</td>
<td><?php  $mysupplier=$c->supplier ;

$mysupplier=$this->usermodel->populateallarray('people','id', $mysupplier);
			echo$myname=$mysupplier[0]['company'];

 ?></td>
  <td id="non-printable">
  	 		<?php

	
 if( $viewbprice==true){
	 ?>
	 
	 	<?php	

 }else{
	 	echo $c->buyingprice ; 

 }
  ?>
  
  
  
  
  
</td>
          <td id="non-printable"><?php echo $c->sellingprice ; ?></td> 
      <td  id="non-printable"><?php echo $c->wholesaleprice ; ?></td>  
  
	<td id="non-printable"><b>
			<?php 
			
			if($qty1>$reorder){
			
			?>
			<div style="background-color:green">
			<?php  echo $c->qty ; 	?>
			</div>
			<?php
			}else if($qty1<=$reorder){
		?>
			<div style="background-color:orange">
			<?php  echo $c->qty ; 	?>
			</div>
			<?php
			
			}else if($qty1==0){
			?>
			<div style="background-color:red">
			<?php  echo $c->qty ; 	?>
			</div>
			<?php
			}
			
		
			?>
			
		</b></td>
	
           
             </tr>

		 <?php 
		
		 
		 
		 endforeach;} 
		
		 ?>

              <?php }?>

        </table>
		
	</div>

			<div id="deleteModel" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Delete</h4>
      </div>
      <div class="modal-body">
        <h3>Are you sure you want to delete this item? </h3>
      </div>
      <div class="modal-footer">
	  	

     
		<?PHP
				$session_data = $this->session->userdata('logged_in');
 echo $this->session->flashdata('deletemsg'); 

		
                 echo form_open('user/deletebyid' , array('class' => 'form-horizontal ', 'enctype' => 'multipart/form-data'));
				 if(validation_errors()):?>
<div class='alert alert-danger text-center'><?php echo validation_errors(); ?></div>
<?php endif;?>
 <input type="hidden" id="table"name="table" class="table" placeholder="view" value="sales_order">

 <input type="hidden" id="view"name="view" class="view" placeholder="view" value="user/startsales">
 <input type="hidden" id="itemid1"name="itemid" class="itemid" placeholder="itemid" value=""><br>
 <button type="button" class="btn btn-success" data-dismiss="modal">No</button>
 		  	         <button type="submit" name="btn_delete" value="deletebyid" class="btn btn-danger"> Delete  </button>

	<?php echo form_close();?>
      </div>
    </div>

  </div>

  </div>		
	
	
	
	
	
	
	
	
	
	

			
			</div>
		</div>
  
  </div>
			
			
			
		
		
  

 
</div>


















